using System.Collections.Generic;
using LitJson;
using Wizard;
using Wizard.Lottery;

public interface IBattleResultReporter
{
	bool IsEnd { get; }

	List<UserAchievement> UserAchievement { get; }

	List<UserMission> UserMission { get; }

	List<ReceivedReward> MissionRewards { get; }

	List<ReceivedReward> VictoryRewards { get; }

	int ClassExp { get; }

	bool IsDataExist { get; }

	LotteryApplyData LotteryData { get; }

	MyPageHomeDialogData HomeDialogData { get; }

	void Report(bool isWin);

	void Destroy();

	JsonData GetFinishResponseData();
}
